com.io7m.jcanephora.renderstate

## Enum JCGLDepthClamping

- java.lang.Object
- - java.lang.Enum<JCGLDepthClamping>
  - - com.io7m.jcanephora.renderstate.JCGLDepthClamping

- All Implemented Interfaces:
    Serializable, Comparable<JCGLDepthClamping>

      public enum JCGLDepthClamping
      extends Enum<JCGLDepthClamping>

  Depth clamping configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPTH_CLAMP_DISABLED` Depth clamping is disabled.
    `DEPTH_CLAMP_ENABLED` Depth clamping is enabled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLDepthClamping` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLDepthClamping[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPTH_CLAMP_ENABLED

          public static final JCGLDepthClamping DEPTH_CLAMP_ENABLED

      Depth clamping is enabled.

    - #### DEPTH_CLAMP_DISABLED

          public static final JCGLDepthClamping DEPTH_CLAMP_DISABLED

      Depth clamping is disabled.

  - ### Method Detail

    - #### values

          public static JCGLDepthClamping[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLDepthClamping c : JCGLDepthClamping.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLDepthClamping valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com